// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////
#include "MainToolBar.h"

#if !defined(AFX_MAINFRM_H__5E2A7929_19E7_11D6_8EB9_00010235688C__INCLUDED_)
#define AFX_MAINFRM_H__5E2A7929_19E7_11D6_8EB9_00010235688C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

   CSplitterWnd m_SplitterWindow;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CMainToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewCompGraph();
	afx_msg void OnUpdateViewModes(CCmdUI* pCmdUI);
	afx_msg void OnViewPedg();
	afx_msg void OnAppHelp();
	afx_msg void OnUpdateActionsAssignRates(CCmdUI* pCmdUI);
	afx_msg void OnUpdateActionsAssignComponents(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileSaveAs(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileNew(CCmdUI* pCmdUI);
	afx_msg void OnViewE2etimeline();
	afx_msg void OnUpdateViewE2etimeline(CCmdUI* pCmdUI);
	afx_msg void OnViewTimeline();
	afx_msg void OnUpdateViewTimeline(CCmdUI* pCmdUI);
	//}}AFX_MSG
	afx_msg void OnSelchangeComboBoxModes();
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__5E2A7929_19E7_11D6_8EB9_00010235688C__INCLUDED_)
