// TaskPlot.h : main header file for the TASKPLOT DLL
//

#if !defined(AFX_TASKPLOT_H__EEB88930_D119_4F34_9BA7_DD5E8993DE2E__INCLUDED_)
#define AFX_TASKPLOT_H__EEB88930_D119_4F34_9BA7_DD5E8993DE2E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef TASKPLOT_EXPORTS
	#define TASKPLOT_API __declspec(dllexport)
#else
//	#define TASKPLOT_API __declspec(dllimport)
	#define TASKPLOT_API 
#endif

//TASKPLOT.DLL API 
TASKPLOT_API BOOL CreateTaskPlot(CWnd *parent);
TASKPLOT_API BOOL InsertTaskPlot(int pindex, char *name, double period, double deadline, double wcet, double start_offset, int prio);
TASKPLOT_API BOOL ClearTaskPlot(int pindex);
TASKPLOT_API BOOL ZoomTaskPlot(int ratio);
TASKPLOT_API BOOL ReadyTaskPlot(int pindex, int scheduling_policy);
TASKPLOT_API BOOL DrawTaskPlot(CDC *dc);
TASKPLOT_API BOOL ShowTaskPlot(int pindex);

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TASKPLOT_H__EEB88930_D119_4F34_9BA7_DD5E8993DE2E__INCLUDED_)
