// ClipRegion.h: interface for the CClipRegion class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLIPREGION_H__611E2F6F_0986_48FA_B362_6E6F49FBBE9C__INCLUDED_)
#define AFX_CLIPREGION_H__611E2F6F_0986_48FA_B362_6E6F49FBBE9C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CClipRegion
{
public:
	enum { x, y };
	enum { RegLeft = 0x01, RegRight = 0x02, RegTop = 0x04, RegBottom = 0x08 };
	enum { right, left, top, bottom };
	enum { MaxReg = 4 };
	CClipRegion();
	CClipRegion(CRect &rectClip);
	BOOL ClipLine(CPoint &p1, CPoint &p2);
	BOOL ClipRectangle(CRect &rect);
	BOOL PtInRect(CPoint &p);
	BOOL IsRectOnRect(CRect& rect);
private:
	long ClipRect[MaxReg];
	int  ClipRegion(long *p);
	void Intersect(long *r, long *a, long *b, short Plane);
};

#endif // !defined(AFX_CLIPREGION_H__611E2F6F_0986_48FA_B362_6E6F49FBBE9C__INCLUDED_)
