#if !defined(AFX_TASKPLOTWND_H__D5AF7666_2902_4C64_9CDB_E6BEE3221D30__INCLUDED_)
#define AFX_TASKPLOTWND_H__D5AF7666_2902_4C64_9CDB_E6BEE3221D30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TaskPlotWnd.h : header file
//
#include "BigView.h"
#include "RealTimePlot.h"

/////////////////////////////////////////////////////////////////////////////
// TaskPlotWnd window

class TaskPlotWnd : public CBigScrollView
{
	DECLARE_DYNCREATE(TaskPlotWnd)

public:
	TaskPlotWnd();

// Attributes
public:
	void  OnZoom(long Zoom);
	long  m_Zoom, m_ZoomMin, m_ZoomMax;
	
	HCURSOR m_hCursor;
	int m_TrackMode;
	
	void UpdateGDIObjects();
//	void UpdateDisplayInfo() const;
	void UpdateScrollPosition(CPoint point);

	void OnViewZoomIn();
	void OnViewZoomOut();
	void OnViewZoomDefault();
	void OnViewSetScaleToFit();
	void OnViewUpperLeft(){ ScrollToPosition(CPoint(0, 0));	}

// Operations
public:
	BOOL m_bInitDone[MAXPROC];
	CRealTimePlot  m_Graph;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TaskPlotWnd)
	virtual void OnDraw(CDC* pDC);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	void Print();
	virtual ~TaskPlotWnd();
	// Generated message map functions
protected:
	//{{AFX_MSG(TaskPlotWnd)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TASKPLOTWND_H__D5AF7666_2902_4C64_9CDB_E6BEE3221D30__INCLUDED_)
