#if !defined(AFX_TASKPLOTDIALOG_H__CF37D5C0_096B_4AB4_B709_B3FB73E4F459__INCLUDED_)
#define AFX_TASKPLOTDIALOG_H__CF37D5C0_096B_4AB4_B709_B3FB73E4F459__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TaskPlotDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// TaskPlotDialog dialog

#include <list>

using namespace std;

typedef struct
{
	int proc_index;
	int task_index;
	CString name;
	double period;
	double deadline;
	double wcet;
	double offset;
	int priority;
	double start;
} TaskPlotData;

BOOL InitTaskPlotCalls();
class TaskPlotDialog : public CDialog
{
// Construction
public:
	void SetTaskInfo(CString processname, int taskindex, CString name, double period, double deadline, double wcet, double offset, int prio);

	TaskPlotDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(TaskPlotDialog)
	enum { IDD = IDD_TASKPLOT_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(TaskPlotDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	CString m_process;
// Implementation
protected:
	list<TaskPlotData > taskdata_list;

	// Generated message map functions
	//{{AFX_MSG(TaskPlotDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnZoomDef();
	afx_msg void OnZoomIn();
	afx_msg void OnZoomOut();
	virtual void OnOK();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TASKPLOTDIALOG_H__CF37D5C0_096B_4AB4_B709_B3FB73E4F459__INCLUDED_)
