// TaskPlottingDlg.h : header file
//

#if !defined(AFX_TASKPLOTTINGDLG_H__D9455CCE_22CB_49CB_882A_3C4460F5B575__INCLUDED_)
#define AFX_TASKPLOTTINGDLG_H__D9455CCE_22CB_49CB_882A_3C4460F5B575__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTaskPlottingDlg dialog

#include <list>

using namespace std;

typedef struct
{
	int proc_index;
	int task_index;
	CString name;
	double period;
	double deadline;
	double wcet;
	double offset;
	int priority;
	double start;
} TaskPlotData;

BOOL InitTaskPlotCalls();
class CTaskPlottingDlg : public CDialog
{
// Construction
public:
	CTaskPlottingDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTaskPlottingDlg)
	enum { IDD = IDD_TASKPLOTTING_DIALOG };
	CString	m_strProcessor;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTaskPlottingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString m_process;
	list<TaskPlotData > taskdata_list;
	HICON m_hIcon;
	void SetTaskInfo(CString processname, int taskindex, CString name, double period, double deadline, double wcet, double offset, int priority);
	// Generated message map functions
	//{{AFX_MSG(CTaskPlottingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonZoomFit();
	afx_msg void OnButtonZoomIn();
	afx_msg void OnButtonZoomOut();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TASKPLOTTINGDLG_H__D9455CCE_22CB_49CB_882A_3C4460F5B575__INCLUDED_)
